Bug 17401 - netcfg makes incorrect entry in ifup-ethX (@Home)
Summary: netcfg makes incorrect entry in ifup-ethX (@Home)
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netcfg   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-10 23:46 UTC by pmeloy
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 16:15:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description pmeloy 2000-09-10 23:46:31 UTC
This might be (partially) an @Home problem I don't know.

I was unable to get DHCP working with @home after a new RH6.2 install.
After much hand wringing I discovered that ifup-eth0 had an entry of

HOSTNAME=crxxxxxx-a.city.provice.wave.home.com

Its not supposed to contain the domain, only the hostname so netcfg is the
problem here. I erased the domain portion and tried to activate
unsuccessfully. After persusing the newsgroups I found out I had to change
the line to 

DHCP_HOSTNAME=crxxxxxx-a.city.provice.wave.home.com

Which works just dandy. Should netcfg use HOSTNAME or DHCP_HOSTNAME?
Perhaps HOSTNAME is for when NOT using DHCP and netcfg needs to add the
DHCP_HOSTNAME if you set the nic as DHCP protocol?

Comment 1 pmeloy 2000-09-10 23:50:41 UTC
Oops, sorry - the DHCP line wasn't supposed to contain the domain. It was
supposed to say

DHCP_HOSTNAME=crxxxxxx-a

Comment 2 pmeloy 2000-09-21 15:17:03 UTC
Found the problem!

ifup specifies DHCP_HOSTNAME and netcfg only writes HOSTNAME.

Comment 3 Bill Nottingham 2006-08-07 18:52:52 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 4 Bill Nottingham 2006-10-18 16:15:51 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.